using UnityEngine;
using System;
using System.Collections.Generic;

public class FamilyMedium01 : RequestLetter
{
    protected override string GetTextBody()
    {
        return "A strange woman carrying a baby visited the castle this morning, claiming the boy was your son. She is threatening to bring this story to the public if you don't help her. As you already know, my lord, a bastard son is always bad news - for the kingdom and for the family.";
    }

    protected override string GetSender()
    {
        return "Beriand, the Servant";
    }

    protected override Attributes GetRelatedAttribute()
    {
        return Attributes.Family;
    }

    protected override AttributeInfluenceLevel GetInfluenceLevelRequired()
    {
        return AttributeInfluenceLevel.Medium;
    }

    protected override List<Choice> GetChoices()
    {
        return new List<Choice>()
        {
            new Choice
            (
                "Make the woman disappear", 
                new ResponseLetter
                (
                    "Remember that woman that was claiming you were the father of her son? No? Well, me neither.", 
                    Sender, 
                    3,
                    RelatedAttribute
                )
            ),
            new Choice
            (
                "Publicly assume your bastard son", 
                new ResponseLetter
                (
                    "The news of you bastard son weren't well received, sire. Neither by your family, nor by the people.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Family, -0.2f} }
                )
            ),
            new Choice
            (
                "Do nothing about this lie", 
                new ResponseLetter
                (
                    "A lie or not, the bastard son story hurt you public image. Your family isn't quite happy about it, too.", 
                    Sender, 
                    3,
                    RelatedAttribute,
                    new Dictionary<Indicators,float>() { { Indicators.Popularity, -0.1f } },
                    new Dictionary<Attributes,float>() { { Attributes.Family, -0.2f} }
                )
            )
        };
    }
}